#11 Migration to gtk3

Unstable (example)
closed-fixed
nobody
None
5
2014-11-23
2012-01-03
No

I have made the patch to migrate the scim to gtk3. The patch is made from svn revision 329. Here is the summary:

* If only the gtk3 is available, scim will be built with gtk3, and gtk2_immodule is disabled.
* If only the gtk2 is available, scim will be built with gtk2, and gtk3_immodule is disabled.
* If both gtk2 and gtk3 are available, scim will be built with gtk3 by default, and both gtk2_immodule and gtk3_immodule will be built by default.
* User can use --with-gtk-version when configuring to specify the gtk version if both 2 and 3 are available.
* scim can be built with gtk3 cleanly.

I have tested the scim built with gtk3, it seems to work fine except the SetupUI part. When FrontEnd module is loaded, the gtk3 failed with the error "register a existing type `GtkWidget'". I don't know how to solve this problem at this moment. Basically I don't know why it is not a problem with gtk2.

Related

Patches: #11

Discussion

  • Tz-Huan Huang

    Tz-Huan Huang - 2012-01-03
     
  • Ronald Stroethoff

    • status: open --> pending-accepted
     
  • Rolf

    Rolf - 2014-11-20

    I think this one is ready to be closed, isn't it?

     
    • Ronald Stroethoff

      Close it.

      Ronald

      Op donderdag 20 november 2014 03:59:36 schreef u:

      I think this one is ready to be closed, isn't it?


      [patches:#11] Migration to gtk3

      Status: pending-accepted
      Group:
      Created: Tue Jan 03, 2012 10:35 AM UTC by Tz-Huan Huang
      Last Updated: Thu Jan 12, 2012 08:47 PM UTC
      Owner: nobody

      I have made the patch to migrate the scim to gtk3. The patch is made from svn revision 329. Here is the summary:

      * If only the gtk3 is available, scim will be built with gtk3, and gtk2_immodule is disabled.
      * If only the gtk2 is available, scim will be built with gtk2, and gtk3_immodule is disabled.
      * If both gtk2 and gtk3 are available, scim will be built with gtk3 by default, and both gtk2_immodule and
      gtk3_immodule will be built by default. * User can use --with-gtk-version when configuring to specify the gtk
      version if both 2 and 3 are available. * scim can be built with gtk3 cleanly.

      I have tested the scim built with gtk3, it seems to work fine except the SetupUI part. When FrontEnd module is loaded,
      the gtk3 failed with the error "register a existing type `GtkWidget'". I don't know how to solve this problem at
      this moment. Basically I don't know why it is not a problem with gtk2.


      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/scim/patches/11/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Patches: #11

  • Rolf

    Rolf - 2014-11-23
    • status: pending-accepted --> closed-fixed
    • Group: --> Unstable (example)
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks